## org.hibernate.cfg
Class CollectionSecondPass

    java.lang.Object
      org.hibernate.cfg.CollectionSecondPass

All Implemented Interfaces:
  Serializable, SecondPass

    public abstract class CollectionSecondPass

extends Object
implements SecondPass

Collection second pass

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`CollectionSecondPass(Mappings mappings, Collection collection)`
`CollectionSecondPass(Mappings mappings, Collection collection, Map inheritedMetas)`

Method Summary
`void` `doSecondPass(Map persistentClasses)`
`abstract void` `secondPass(Map persistentClasses, Map inheritedMetas)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionSecondPass

    public CollectionSecondPass(Mappings mappings,
                                Collection collection,
                                Map inheritedMetas)

### CollectionSecondPass

    public CollectionSecondPass(Mappings mappings,
                                Collection collection)

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws MappingException

  Specified by:
    `doSecondPass` in interface `SecondPass`
  Throws:
    `MappingException`

### secondPass

    public abstract void secondPass(Map persistentClasses,
                                    Map inheritedMetas)
                             throws MappingException

  Throws:
    `MappingException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.